## ros-iron-dynamixel-hardware 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(dynamixel_hardware)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(dynamixel_workbench_toolbox REQUIRED)

add_library(
  ${PROJECT_NAME}
  SHARED
  src/dynamixel_hardware.cpp
)
target_include_directories(
  ${PROJECT_NAME}
  PRIVATE
  include
)
ament_target_dependencies(
  ${PROJECT_NAME}
  rclcpp
  rclcpp_lifecycle
  lifecycle_msgs
  hardware_interface
  pluginlib
  dynamixel_workbench_toolbox
  )


pluginlib_export_plugin_description_file(hardware_interface dynamixel_hardware.xml)

install(
  TARGETS ${PROJECT_NAME}
  DESTINATION lib
)
install(
  DIRECTORY include/
  DESTINATION include
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # the following line skips the linter which checks for copyrights
  # uncomment the line when a copyright and license is not present in all source files
  #set(ament_cmake_copyright_FOUND TRUE)
  # the following line skips cpplint (only works in a git repo)
  # uncomment the line when this package is not in a git repo
  #set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_include_directories(
  include
)
ament_export_libraries(
  ${PROJECT_NAME}
)
ament_export_dependencies(
  rclcpp
  hardware_interface
  pluginlib
  dynamixel_workbench_toolbox
)

ament_package()

=== debian/changelog ===
ros-iron-dynamixel-hardware (0.3.1-4jammy) jammy; urgency=high

  * Merge pull request #39 <https://github.com/youtalk/dynamixel_control/issues/39> from ijnek/ijnek-unused-parameters
  * Merge pull request #31 <https://github.com/youtalk/dynamixel_control/issues/31> from ijnek/ijnek-unused-parameter-2
  * Merge pull request #25 <https://github.com/youtalk/dynamixel_control/issues/25> from ijnek/ijnek-new-hardware-interface
  * Merge pull request #24 <https://github.com/youtalk/dynamixel_control/issues/24> from ijnek/ijnek-add-callbackreturn-reference
  * Merge pull request #20 <https://github.com/youtalk/dynamixel_control/issues/20> from pdenes/add-extra-params
  * Merge pull request #19 <https://github.com/youtalk/dynamixel_control/issues/19> from pdenes/add-dependencies
  * Merge pull request #17 <https://github.com/youtalk/dynamixel_control/issues/17> from youtalk/galactic
  * Merge pull request #16 <https://github.com/youtalk/dynamixel_control/issues/16> from Schnilz/main
  * Merge pull request #13 <https://github.com/youtalk/dynamixel_control/issues/13> from youtalk/change-loglevel
  * Merge pull request #10 <https://github.com/youtalk/dynamixel_control/issues/10> from youtalk/joint-id
  * Merge pull request #1 <https://github.com/youtalk/dynamixel_control/issues/1> from youtalk/velocity-control
  * Contributors: Kenji Brameld, Nils Schulte, Pal Denes, Yutaka Kondo

 -- Yutaka Kondo <yutaka.kondo@youtalk.jp>  Wed, 16 Nov 2022 16:00:00 -0000

=== debian/control ===
Source: ros-iron-dynamixel-hardware
Section: misc
Priority: optional
Maintainer: Yutaka Kondo <yutaka.kondo@youtalk.jp>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-dynamixel-workbench-toolbox, ros-iron-hardware-interface, ros-iron-lifecycle-msgs, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-dynamixel-hardware
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-dynamixel-workbench-toolbox, ros-iron-hardware-interface, ros-iron-lifecycle-msgs, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Description: ros2_control hardware for ROBOTIS Dynamixel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-dynamixel-hardware//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
